Subject: geeklog installation errors

Posted on: 05/02/2018 08:22am
By: OMAL

I tried to reproduce my geeklog site.
I tried to install ver.1.4.1.

I have the following errors now.
1. I already have php, mysql database with data on server. Under the circumstances,
Installation Options - Installation Type: new mysql database cause following error.
1064: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'TYPE=MyISAM' at line 5


Do you know how to modify the installation code from TYPE to ENGINE(it should work)?

2.If I choose Installation Options - Installation Type:upgrade mysql database, cause other errors because I don't have data for versions prior to the 1.4.1.



Re: geeklog installation errors

Posted on: 05/02/2018 08:43am
By: OMAL

I found the solution.
Changing create tables Syntacs from TYPE to ENGINEin mysqltableanddata.php.
That did work and I can complete install process via browser.

Geeklog - Forum
https://www.geeklog.net/forum/viewtopic.php?showtopic=96683